<?php
	include('anti-diet-pill-files/includes/functions.php');
	$tips = getTipsData('anti-diet-pill-files/tips.xml');
	srand((double)microtime()*1000000); 
	$rand = rand(0,($tips['count']-1)); 
	$title = $tips[$rand]['title'];
	$text = $tips[$rand]['text'];
	$date = date('D, M jS');
?>
<html>
<head>
<title>The Anti-Diet Pill</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<style>

.no-pad {
	border-collapse:collapse;
	padding:0px;
}
.wide {
	width:100%;
}
.half-width {
	width:50%;
}
.pill-center {
	background-image:url(anti-diet-pill-files/images/c.jpg);
	background-repeat:repeat-x;
}
body {
	font-family:Arial, Helvetica, sans-serif;
	font-size:12px;
	background-color:#FFFFCC;
	background-image:url(anti-diet-pill-files/images/main-bg.jpg);
	background-position:center;
}
.main-div {
	padding:10px;
	margin:20px;
	border:1px solid silver;
	background-color:#FFFFFF;
}
.bordered td{
	border:1px solid green;
}
.center-div {
	height:79px;
	overflow: auto;
}
.center-div h1 {
	font-size:13px;
	margin:0px;
	text-decoration:underline;
	font-family:Arial, Helvetica, sans-serif;
}
.center-div p {
	font-size:10px;
	font-family:Verdana, Arial, Helvetica, sans-serif;
	margin:0px;
}
p {
	font-size:12px;
	font-family:Verdana, Arial, Helvetica, sans-serif;
	margin:0px;
}
.align-center {
	text-align:center;
}

</style>
</head>

<body>
<div class="main-div">
<div class="align-center"><img src="anti-diet-pill-files/images/logo.jpg" alt="" /></div>
<table cellpadding="0" cellspacing="0" class="wide no-pad">
	<tr>
		<td class="half-width"></td>
		<td><img src="/anti-diet-pill-files/images/tl.jpg" alt="" /></td>
		<td><img src="/anti-diet-pill-files/images/t.jpg" alt="" /></td>
		<td><img src="/anti-diet-pill-files/images/tr.jpg" alt="" /></td>
		<td class="half-width"></td>
	</tr>
	<tr>
		<td class="half-width"></td>
		<td><img src="/anti-diet-pill-files/images/l.jpg" alt="" /></td>
		<td class="pill-center">
			<div class="center-div">
			<h1><?php echo $date; ?> - <?php echo $title; ?></h1>
			<p><?php echo $text; ?></p>
			</div>
		</td>
		<td><img src="/anti-diet-pill-files/images/r.jpg" alt="" /></td>
		<td class="half-width"></td>
	</tr>
	<tr>
		<td class="half-width"></td>
		<td><img src="/anti-diet-pill-files/images/bl.jpg" alt="" /></td>
		<td><img src="/anti-diet-pill-files/images/b.jpg" alt="" /></td>
		<td><img src="/anti-diet-pill-files/images/br.jpg" alt="" /></td>
		<td class="half-width"></td>
	</tr>
	<tr>
		<td class="half-width"></td>
		<td colspan="3"><p>In this day and age, where pills are often offered as the best solution to problems that only require a more creative solution, we thought an alternative would be nice. Real pills fail dieters every day, because they don't offer a good long-term solution for loosing weight. Start a diaily suppliment of the "The Anti-Diet Pill" instead. Bookmark this page and come back every morning for a positive dose of good, real life weight loss tips.</td>
		<td class="half-width"></td>
	</tr>
</table>
</div>
<div class="align-center">Powered by <a href="http://www.my-health-and-fitness.org">My-Health-and-Fitness.org</a></div>
</body>
</html>
